{% extends "base.html" %}

{% load i18n %}

{% block title %}{% trans "Newsletter subscribe" %}{% endblock title %}

{% block content %}
<section class="section py-4">
    <div class="container col-md-6 float-center">
        {% if messages %}
        <h1>{% trans "Newsletter" %}</h1>

        <div class="jumbotron">
            {% for message in messages %}
            <p>{{ message }}</p>
            {% endfor %}
        </div>
        {% else %}
        {% trans "Do you want to subscribe to this newsletter?" %}
        <form enctype="multipart/form-data" method="post" action="{% url "newsletter_subscribe_confirm" newsletter.slug %}">
            {% csrf_token %}
            <p><input id="id_submit" name="submit" value="{% trans "Subscribe" %}" type="submit" /></p>
        </form>
        {% endif %}        
    </div>
    
</section>

{% endblock content %}
